Contacts
Append metadata field
Deep-merges the metadata object you send into the contact’s existing metadata: keys you send are added or overwritten, nested objects are merged, and keys you leave out are kept. Send the object as metadata (or wrapped as contact.metadata). Returns the updated contact. Returns 404 when the contact is not in your company. Requires a company admin token with permission to update contacts.
PATCH
/
api
/
company
/
contacts
/
{id}
/
append_metadata
Append metadata field
curl --request PATCH \
--url https://api.fluid.app/api/company/contacts/{id}/append_metadata \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metadata": {
"loyalty": {
"tier": "gold",
"joined_on": "2026-09-18"
}
}
}
'import requests
url = "https://api.fluid.app/api/company/contacts/{id}/append_metadata"
payload = { "metadata": { "loyalty": {
"tier": "gold",
"joined_on": "2026-09-18"
} } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({metadata: {loyalty: {tier: 'gold', joined_on: '2026-09-18'}}})
};
fetch('https://api.fluid.app/api/company/contacts/{id}/append_metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/contacts/{id}/append_metadata",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'metadata' => [
'loyalty' => [
'tier' => 'gold',
'joined_on' => '2026-09-18'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/contacts/{id}/append_metadata"
payload := strings.NewReader("{\n \"metadata\": {\n \"loyalty\": {\n \"tier\": \"gold\",\n \"joined_on\": \"2026-09-18\"\n }\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.fluid.app/api/company/contacts/{id}/append_metadata")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"metadata\": {\n \"loyalty\": {\n \"tier\": \"gold\",\n \"joined_on\": \"2026-09-18\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/contacts/{id}/append_metadata")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"metadata\": {\n \"loyalty\": {\n \"tier\": \"gold\",\n \"joined_on\": \"2026-09-18\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"contact": {
"id": 48213,
"token": "pX7kQ2mR9vTzL4nB8cWfJ3hY",
"first_name": "Holly",
"last_name": "Flax",
"avatar_url": null,
"status": "customer",
"email": "holly.flax@gmail.com",
"email2": null,
"phone": "+15705550142",
"phone2": null,
"phone_id": null,
"address": "300 Kellum Court",
"address2": null,
"city": "Scranton",
"state": "PA",
"postal_code": "18505",
"language_id": 1,
"country_id": 214,
"lead_type": null,
"ip": null,
"requested_at": null,
"best_time": null,
"time_zone": "America/New_York",
"reason": null,
"income": null,
"hours": null,
"invest": null,
"interest": null,
"full_name": "Holly Flax",
"discarded_at": null,
"metadata": {
"crm_source": "hubspot",
"preferred_paper": "20lb-copy-paper",
"loyalty": {
"tier": "gold",
"joined_on": "2026-09-18"
}
}
},
"meta": {
"request_id": "9c4e2b7a-51d3-4f8e-a6b0-3d1f72c85e14",
"timestamp": "2026-09-18T14:05:22Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"scheduled_date": "2026-12-10",
"last_bill_date": "2026-11-10",
"requested_date": "2026-11-30",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}{
"error": "Not authorized."
}Body
application/json
⌘I
Append metadata field
curl --request PATCH \
--url https://api.fluid.app/api/company/contacts/{id}/append_metadata \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metadata": {
"loyalty": {
"tier": "gold",
"joined_on": "2026-09-18"
}
}
}
'import requests
url = "https://api.fluid.app/api/company/contacts/{id}/append_metadata"
payload = { "metadata": { "loyalty": {
"tier": "gold",
"joined_on": "2026-09-18"
} } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({metadata: {loyalty: {tier: 'gold', joined_on: '2026-09-18'}}})
};
fetch('https://api.fluid.app/api/company/contacts/{id}/append_metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/contacts/{id}/append_metadata",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'metadata' => [
'loyalty' => [
'tier' => 'gold',
'joined_on' => '2026-09-18'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/contacts/{id}/append_metadata"
payload := strings.NewReader("{\n \"metadata\": {\n \"loyalty\": {\n \"tier\": \"gold\",\n \"joined_on\": \"2026-09-18\"\n }\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.fluid.app/api/company/contacts/{id}/append_metadata")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"metadata\": {\n \"loyalty\": {\n \"tier\": \"gold\",\n \"joined_on\": \"2026-09-18\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/contacts/{id}/append_metadata")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"metadata\": {\n \"loyalty\": {\n \"tier\": \"gold\",\n \"joined_on\": \"2026-09-18\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"contact": {
"id": 48213,
"token": "pX7kQ2mR9vTzL4nB8cWfJ3hY",
"first_name": "Holly",
"last_name": "Flax",
"avatar_url": null,
"status": "customer",
"email": "holly.flax@gmail.com",
"email2": null,
"phone": "+15705550142",
"phone2": null,
"phone_id": null,
"address": "300 Kellum Court",
"address2": null,
"city": "Scranton",
"state": "PA",
"postal_code": "18505",
"language_id": 1,
"country_id": 214,
"lead_type": null,
"ip": null,
"requested_at": null,
"best_time": null,
"time_zone": "America/New_York",
"reason": null,
"income": null,
"hours": null,
"invest": null,
"interest": null,
"full_name": "Holly Flax",
"discarded_at": null,
"metadata": {
"crm_source": "hubspot",
"preferred_paper": "20lb-copy-paper",
"loyalty": {
"tier": "gold",
"joined_on": "2026-09-18"
}
}
},
"meta": {
"request_id": "9c4e2b7a-51d3-4f8e-a6b0-3d1f72c85e14",
"timestamp": "2026-09-18T14:05:22Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"scheduled_date": "2026-12-10",
"last_bill_date": "2026-11-10",
"requested_date": "2026-11-30",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}{
"error": "Not authorized."
}